package com.foreverwin.mesnac.dataimport.service;

import java.util.HashMap;
import java.util.Map;


public class MasterObjectDefine {

	 private static Map<String,String> cvsHeadsMapping = null;

	 public static Map<String,String> getHeadsMapping(String objectType){

	 	switch (objectType){
	 		//资源主数据
			case "RESOURCE":
				 cvsHeadsMapping = new HashMap();

				 cvsHeadsMapping.put("seqNum", "序号");
				 cvsHeadsMapping.put("resource", "资源编码");
				 cvsHeadsMapping.put("description", "资源描述");
				 cvsHeadsMapping.put("defaultOperation", "默认操作");
				 cvsHeadsMapping.put("status", "资源状态"	);
				 cvsHeadsMapping.put("setupStatus", "设置状态");
				 cvsHeadsMapping.put("processResource", "工艺资源");
				 cvsHeadsMapping.put("resourceType", "资源类型");
				 cvsHeadsMapping.put("validFrom", "资源有效期从");
				 cvsHeadsMapping.put("validTo", "资源有效期到");
				 cvsHeadsMapping.put("certificate", "证明编号");
				 break;

			//工作中心主数据
			case "WORK_CENTER":
				cvsHeadsMapping = new HashMap();

				cvsHeadsMapping.put("seqNum", "序号");
				cvsHeadsMapping.put("workCenter", "工作中心名称");
				cvsHeadsMapping.put("descriptionZH", "工作中心描述（中文）");
				cvsHeadsMapping.put("descriptionEN", "工作中心描述（英文）");
				cvsHeadsMapping.put("status", "状态");
				cvsHeadsMapping.put("releaseTo", "SFC下达到此工作中心");
				cvsHeadsMapping.put("wcCategory", "工作中心类别(线/区域)");
				cvsHeadsMapping.put("wcType", "工作中心类型(生产/转移)");
				cvsHeadsMapping.put("memberSeq", "序列号");
				cvsHeadsMapping.put("memberType", "子工作中心类型");
				cvsHeadsMapping.put("memberGBO", "工作中心或资源");
				cvsHeadsMapping.put("ERPWC", "ERP工作中心");
				cvsHeadsMapping.put("isERPWC", "是ERP工作中心");
				break;

			//工序主数据
		 	case "OPERATION":
			    cvsHeadsMapping = new HashMap();

		    	cvsHeadsMapping.put("seqNum","序号");
		    	cvsHeadsMapping.put("operation", "工序名称");
		    	cvsHeadsMapping.put("version", "工序版本");
		    	cvsHeadsMapping.put("currentVersion", "当前版本(是/否)");
		    	cvsHeadsMapping.put("status", "状态");
		    	cvsHeadsMapping.put("descriptionZH", "工序描述（中文）");
		    	cvsHeadsMapping.put("descriptionEN", "工序描述（英文）");
		    	cvsHeadsMapping.put("operationType", "操作类型");
		    	cvsHeadsMapping.put("resourceType", "资源类型");
		    	cvsHeadsMapping.put("defaultResource", "默认资源");
			 break;

		 case "PRODUCTION":

			 cvsHeadsMapping=new HashMap<String,String>();
			 cvsHeadsMapping.put("seqNum","序号");
			 cvsHeadsMapping.put("id","*产线名称(英文)");
			 cvsHeadsMapping.put("descZH","产线描述（中文）");
			 cvsHeadsMapping.put("descEN","产线描述（英文）");
			 cvsHeadsMapping.put("wcCategory","工作中心类别(线/区域)");
			 cvsHeadsMapping.put("wcType","工作中心类型(生产/转移)");
			 cvsHeadsMapping.put("memberType","子工作中心类型");
			 cvsHeadsMapping.put("memberSeq","序列号");
			 cvsHeadsMapping.put("memberGBO","工作中心或资源");
		 	break;

		 case "RESOURCE_TYPE":

			    cvsHeadsMapping=new HashMap<String,String>();

				cvsHeadsMapping.put("seqNum","序号");
		    	cvsHeadsMapping.put("id","*设备(资源)类型命名（英文）");
		    	cvsHeadsMapping.put("desc","描述");

			 break;

		 case "ROUTER":

			    cvsHeadsMapping=new HashMap<String,String>();

				cvsHeadsMapping.put("seqNum","序号");
		    	cvsHeadsMapping.put("id","工艺路线名称（英文）");
		    	cvsHeadsMapping.put("ver","版本");
		    	cvsHeadsMapping.put("desc","工艺路线描述");
		    	cvsHeadsMapping.put("routerType","工艺路线类型"	);
		    	cvsHeadsMapping.put("status","状态"	);
		    	cvsHeadsMapping.put("currentVer","当前版本");
		    	cvsHeadsMapping.put("step","工艺步骤");
		    	cvsHeadsMapping.put("setpOper","关键工序");
		    	cvsHeadsMapping.put("processTime","处理时间");

			 break;

		 case "ITEM":

			    cvsHeadsMapping=new HashMap<String,String>();
				cvsHeadsMapping.put("seqNum","序号");
		    	cvsHeadsMapping.put("id","物料编码");
		    	cvsHeadsMapping.put("descZH","物料描述");
		    	//计量单位

			 break;

		 case "ITEM_GROUP":

			    cvsHeadsMapping=new HashMap<String,String>();

				cvsHeadsMapping.put("seqNum","序号");
		    	cvsHeadsMapping.put("id","*物料组名称");
		    	cvsHeadsMapping.put("desc","*物料组描述");
		    	cvsHeadsMapping.put("item","物料");
		    	cvsHeadsMapping.put("itemVer","物料版本"	);

		     break;

		 case "BOM":

			    cvsHeadsMapping=new HashMap<String,String>();

			    cvsHeadsMapping.put("seqNum","序号");
			    cvsHeadsMapping.put("id","BOM名称");
			    cvsHeadsMapping.put("ver","BOM版本");
			    cvsHeadsMapping.put("desc","BOM描述");
			    cvsHeadsMapping.put("currentVer","当前版本");
			    cvsHeadsMapping.put("status","状态");
			    cvsHeadsMapping.put("item","*组件物料");
			    cvsHeadsMapping.put("itemVer","*组件物料版本");
			    cvsHeadsMapping.put("alternate","替代料");
			    cvsHeadsMapping.put("alternateVer","替代料版本");
			    cvsHeadsMapping.put("assembleSEQ","*装配顺序");
			    cvsHeadsMapping.put("assembleOper","*装配关键工序");
			    cvsHeadsMapping.put("assembleDataType","装配数据类型");
			    cvsHeadsMapping.put("assembleQty","装配数量");
			    cvsHeadsMapping.put("refDes","参考点");
			    cvsHeadsMapping.put("virtualItem","是否虚拟件");

		     break;

		 case "NC_GROUP":

			    cvsHeadsMapping=new HashMap<String,String>();

			    cvsHeadsMapping.put("seqNum","序号");
			    cvsHeadsMapping.put("id","*不合格组名称（英文）");
			    cvsHeadsMapping.put("desc","不合格组描述");
			    cvsHeadsMapping.put("applyAll","用于所有操作");
			    cvsHeadsMapping.put("applyOper","不合格组分配的操作");
		     break;


		 case "NC_CODE":

			    cvsHeadsMapping=new HashMap<String,String>();

			    cvsHeadsMapping.put("seqNum","序号");
			    cvsHeadsMapping.put("groupId","*不合格代码组名称（英文）");
			    cvsHeadsMapping.put("id","*不合格代码（英文）");
			    cvsHeadsMapping.put("descZH","不合格代码描述（中文）");
			    cvsHeadsMapping.put("descEN","不合格代码描述（英文）");
			    cvsHeadsMapping.put("category","不合格类别");
			    cvsHeadsMapping.put("dataType","不合格数据类型");
			    cvsHeadsMapping.put("dispositionRouter","处置工艺路线");
			    cvsHeadsMapping.put("canBePrimaryCode","是否可以是主要代码");
			    cvsHeadsMapping.put("closure_required","是否需要关闭");
			    cvsHeadsMapping.put("auto_close_primary","自动关闭主NC");
			    cvsHeadsMapping.put("auto_close_incident","自动关闭事故");
			    cvsHeadsMapping.put("secondary_reqd_for_close","需要次级代码关闭");
			    cvsHeadsMapping.put("secondary_code","次要不良项");
			    cvsHeadsMapping.put("max_nc_limit","NC限制最大值");
			    cvsHeadsMapping.put("disp_operation","有效操作");
			    cvsHeadsMapping.put("disposition_group","处置组");
			    cvsHeadsMapping.put("disposition_group_status","处置组状态");

		     break;

		 case "INVENTORY":

			    cvsHeadsMapping=new HashMap<String,String>();

			    cvsHeadsMapping.put("seqNum","序号");
			    cvsHeadsMapping.put("id","*库存标识");
			    cvsHeadsMapping.put("item","*物料名称");
			    cvsHeadsMapping.put("itemVer","*物料版本");
			    cvsHeadsMapping.put("qty","库存数量");
			    cvsHeadsMapping.put("shoporder","工单号");


		     break;

		 case "SHOP_ORDER":

			    cvsHeadsMapping=new HashMap<String,String>();

			    cvsHeadsMapping.put("seqNum","序号");
			    cvsHeadsMapping.put("id","工单号");
			    cvsHeadsMapping.put("status","工单类型");
			    cvsHeadsMapping.put("item","计划物料");
			    cvsHeadsMapping.put("qty","工单数量");
			    cvsHeadsMapping.put("planStart","计划开始时间");
			    cvsHeadsMapping.put("planComplete","计划结束时间");


		     break;

		 case "USER":

			    cvsHeadsMapping=new HashMap<String,String>();

			    cvsHeadsMapping.put("seqNum","序号");
			    cvsHeadsMapping.put("id","登录ID");
			    cvsHeadsMapping.put("password","密码");
			    cvsHeadsMapping.put("status","状态");
			    cvsHeadsMapping.put("firstname","名");
			    cvsHeadsMapping.put("lastname","姓");
			    cvsHeadsMapping.put("email","邮件");
			    cvsHeadsMapping.put("phone","电话");
			    cvsHeadsMapping.put("defaultSite","ME站点");
			    cvsHeadsMapping.put("defaultGroups","ME用户组");
			    cvsHeadsMapping.put("extRole","额外角色");
			    cvsHeadsMapping.put("cellphone","手机");
		     break;
		 case "STORAGE_BIN":
			 cvsHeadsMapping=new HashMap<String,String>();
			 cvsHeadsMapping.put("seqNum","序号");
			 cvsHeadsMapping.put("name","库位编码");
			 cvsHeadsMapping.put("description","库位描述");
			 cvsHeadsMapping.put("user","责任人");
			 cvsHeadsMapping.put("status","库位状态");
			 cvsHeadsMapping.put("fifo","是否先进先出控制");
			 cvsHeadsMapping.put("storageLocBo","存储地点编码");
		 	break;

			 case "LABEL_CHECK_DETAIL":
				 cvsHeadsMapping=new HashMap<String,String>();
				 cvsHeadsMapping.put("checkPeriod","盘点周期");
				 cvsHeadsMapping.put("storageLocBo","库存地点");
				 cvsHeadsMapping.put("storageBinBo","库位");
				 cvsHeadsMapping.put("itemcode","物料");
				 cvsHeadsMapping.put("itemdescr","物料描述");
				 cvsHeadsMapping.put("unit","计量单位");
				 cvsHeadsMapping.put("labelSn","物料标签/SN");
				 cvsHeadsMapping.put("meQty","ME数量");
				 cvsHeadsMapping.put("meActualQty","ME实盘数量");
				 cvsHeadsMapping.put("meDiffQty","ME差异数量");
				 break;
			 case "Z_EXPORT_TEMPLATE":
				 cvsHeadsMapping=new HashMap<String,String>();
				 cvsHeadsMapping.put("workCenterBo","生产线");
				 cvsHeadsMapping.put("workCenterDescr","生产线描述");
				 cvsHeadsMapping.put("itemBo","零件号");
				 cvsHeadsMapping.put("itemDescr","零件号描述");
				 cvsHeadsMapping.put("customerId","客户件号");
				 cvsHeadsMapping.put("processidBo","工艺号");
				 cvsHeadsMapping.put("isValid","是否有效");
				 break;
			 case "Z_WORKSHOP_ORGANIZATION":
				 cvsHeadsMapping=new HashMap<String,String>();
				 cvsHeadsMapping.put("name","组织代码");
				 cvsHeadsMapping.put("description","组织描述");
				 cvsHeadsMapping.put("level","层次");
				 cvsHeadsMapping.put("leaderCode","组织领导工号");
				 cvsHeadsMapping.put("leaderName","组织领导姓名");
				 cvsHeadsMapping.put("parentBo","父组织代码");
				 cvsHeadsMapping.put("parentName","父组织描述");
				 cvsHeadsMapping.put("isDispatch","是否派工");
				 break;
			 case "PROCESS_INSPECTION_PLAN":
				 cvsHeadsMapping = new HashMap<>();
				 cvsHeadsMapping.put("site", "工厂");
				 cvsHeadsMapping.put("projectVersion","检验计划版本");
				 cvsHeadsMapping.put("item","物料");
				 cvsHeadsMapping.put("customerPartNo", "客户件号");
				 cvsHeadsMapping.put("operation","工序");
				 cvsHeadsMapping.put("productionVersionCategory", "生产版本类别");
				 cvsHeadsMapping.put("code", "检验项目编码");
				 cvsHeadsMapping.put("codeDescription", "检验项目描述");
				 cvsHeadsMapping.put("detail","检验项目明细");
				 cvsHeadsMapping.put("methodCode","检验方法编码");
				 cvsHeadsMapping.put("methodCodeDescription", "检验方法描述");
				 cvsHeadsMapping.put("frequency","频次");
				 cvsHeadsMapping.put("specialCharacteristicGrade", "特殊特性等级");
				 cvsHeadsMapping.put("judgmentCriteria", "判定标准");
				 cvsHeadsMapping.put("category", "检验类型");
				 cvsHeadsMapping.put("status","状态");
				 cvsHeadsMapping.put("judgmentMode","判定方式");
				 cvsHeadsMapping.put("parameterType", "参数类型");
				 cvsHeadsMapping.put("upperControlLineValue","上控制线值");
				 cvsHeadsMapping.put("upperLimit", "上限值");
				 cvsHeadsMapping.put("lowerLimit", "下限值");
				 cvsHeadsMapping.put("lowerControlLineValue", "下控制线值");
				 cvsHeadsMapping.put("targetValue","目标值");
				 cvsHeadsMapping.put("unit","单位");
				 cvsHeadsMapping.put("detailSeq","检验项目明细顺序号");
				 break;
			 case "PROCESS_POINT_INSPECTION":
				 cvsHeadsMapping = new HashMap<>();
				 cvsHeadsMapping.put("isSurface","*产线类型");
				 cvsHeadsMapping.put("productionLine","产线编号");
				 cvsHeadsMapping.put("productionLineDescription","产线描述");
				 cvsHeadsMapping.put("item","零件编号");
				 cvsHeadsMapping.put("itemDescription","零件描述");
				 cvsHeadsMapping.put("productionVersion","*生产版本类型");
				 cvsHeadsMapping.put("operation","工序编号");
				 cvsHeadsMapping.put("operationDescription","工序描述");
				 cvsHeadsMapping.put("status","是否有效");
				 cvsHeadsMapping.put("checkNumber","*点检编号");
				 cvsHeadsMapping.put("checkProject","*点检项目");
				 cvsHeadsMapping.put("dataType","数据类型");
				 cvsHeadsMapping.put("maxIndex","上限指标");
				 cvsHeadsMapping.put("minIndex","下限指标");
				 cvsHeadsMapping.put("targetIndex","目标指标");
				 cvsHeadsMapping.put("pointInspection","点检频次");
			 	break;
			 case "POKA_YOKE_POINT_INSPECTION":
				 cvsHeadsMapping = new HashMap<>();
				 cvsHeadsMapping.put("productionLine","*产线编号");
				 cvsHeadsMapping.put("productionLineDescription","产线描述");
				 cvsHeadsMapping.put("item","零件编号");
				 cvsHeadsMapping.put("itemDescription","零件描述");
				 cvsHeadsMapping.put("pokaYokeNo","*防错装置编号");
				 cvsHeadsMapping.put("pokaYokeName","*防错装置名称");
				 cvsHeadsMapping.put("status","是否有效");
				 cvsHeadsMapping.put("checkNumber","*点检编号");
				 cvsHeadsMapping.put("checkProject","*点检项目");
				 cvsHeadsMapping.put("userMethod","*操作方法");
				 cvsHeadsMapping.put("dataType","数据类型");
				 cvsHeadsMapping.put("maxIndex","上限指标");
				 cvsHeadsMapping.put("minIndex","下限指标");
				 cvsHeadsMapping.put("targetIndex","目标指标");
				 cvsHeadsMapping.put("pointInspection","点检频次");
				 break;
			 case "SHOP_ORDER_SMELTING_FORMULA":
				 cvsHeadsMapping = new HashMap<>();
				 cvsHeadsMapping.put("code","*序号");
				 cvsHeadsMapping.put("shopOrder","*工单号");
				 cvsHeadsMapping.put("smeltingNo","*炉次号");
				 cvsHeadsMapping.put("item","*物料号");
				 cvsHeadsMapping.put("plannedQty","*计划需求量");
				 break;
			 case "FF_DISPATCHER":
				 cvsHeadsMapping = new HashMap<>();
				 cvsHeadsMapping.put("site","工厂代码");
				 cvsHeadsMapping.put("workCenter","产线");
				 cvsHeadsMapping.put("operation","工序");
				 cvsHeadsMapping.put("storageLocation","小库位");
				 cvsHeadsMapping.put("dispatchingBo","点位");
				 cvsHeadsMapping.put("description","点位名称");
				 break;
			 case "MANUAL_LINE_WORK_TABEL_ARRANGEMENT":
				 cvsHeadsMapping = new HashMap<>();
				 cvsHeadsMapping.put("shopOrder","工单号");
				 cvsHeadsMapping.put("workbenchLine","工作台编码");
				 break;
			 case "SECONDMENT_WORKING_HOUR":
				 cvsHeadsMapping = new HashMap<>();
				 cvsHeadsMapping.put("secondmentDate","借调年月");
				 cvsHeadsMapping.put("sourceSite","来源工厂编号");
				 cvsHeadsMapping.put("sourceSiteName","来源工厂名称");
				 cvsHeadsMapping.put("userId","员工编号");
				 cvsHeadsMapping.put("jobTitle","职务性质");
				 cvsHeadsMapping.put("secondmentHour","借调工时");
				 break;
			 case "FF_SCADA_ANOMAL":
				 cvsHeadsMapping = new HashMap<>();
				 cvsHeadsMapping.put("site","站点");
				 cvsHeadsMapping.put("equipmentNo","设备号");
				 cvsHeadsMapping.put("equipmentName","设备名称");
				 cvsHeadsMapping.put("alarmNo","报警代码");
				 cvsHeadsMapping.put("alarmName","报警点位名称");
				 cvsHeadsMapping.put("abnormalClass","大类");
				 cvsHeadsMapping.put("abnormalSubclass","小类");
				 cvsHeadsMapping.put("shutdown","是否停机");
				 break;
			 case "FF_ASSEMBLY_AUTOMATION_ITEM":
				 cvsHeadsMapping = new HashMap<>();
				 cvsHeadsMapping.put("site","站点");
				 cvsHeadsMapping.put("productionLine","产线");
				 cvsHeadsMapping.put("item","产线物料");
				 cvsHeadsMapping.put("operation","工序");
				 cvsHeadsMapping.put("componentItem","组件物料");
				 cvsHeadsMapping.put("locationCode","配送点位");
				 cvsHeadsMapping.put("replenishmentPoint","补货点");
				 cvsHeadsMapping.put("operatingMode","运行方式");
		 default:
			 break;
		 }
		return cvsHeadsMapping;


	 }

}
